EBT Purchase with SNAP Account Swiped Track Data
This use case processes a PIN debit Electronic Benefits Transfer (EBT) purchase with SNAP account swiped track data. Set processingInformation.electronicBenefitsTransfer.category to FOOD and processingInformation.purchaseOptions.isElectronicBenefitsTransfer to true.
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
Example
{ "clientReferenceInformation": { "code": "ABC123", "partner": { "thirdPartyCertificationNumber": "PTP1234" } }, "processingInformation": { "commerceIndicator": "retail", "purchaseOptions": { "isElectronicBenefitsTransfer": true }, "electronicBenefitsTransfer": { "category": "FOOD" }, "networkRoutingOrder": "K" }, "paymentInformation": { "paymentType": { "name": "CARD", "subTypeName": "DEBIT" }, "card": { "useAs": "", "sourceAccountType": "UA" } }, "orderInformation": { "amountDetails": { "totalAmount": "101.00", "currency": "USD" } }, "pointOfSaleInformation": { "entryMode": "swiped", "terminalCapability": 4, "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES ^3112101976110000868000000?;4xxxxxxxxxxx1111=33121019761186800000?", "pinBlockEncodingFormat": 1, "encryptedPin": "52F20658C04DB351", "encryptedKeySerialNumber": "FFFF1B1D140000000005" }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/payments/6883856591656519703954/voids" }, "self": { "method": "GET", "href": "/pts/v2/payments/6883856591656519703954" } }, "clientReferenceInformation": { "code": "ABC123" }, "id": "6883856591656519703954", "orderInformation": { "amountDetails": { "authorizedAmount": "101.00", "currency": "usd" } }, "processingInformation": { "reconciliationId": "6883856591656519703954" }, "processorInformation": { "systemTraceAuditNumber": "113647", "routing": { "network": "0029" }, "approvalCode": "831000", "retrievalReferenceNumber": "123456113647", "transactionId": "000000000000000", "responseCode": "00" }, "reconciliationId": "6883856591656519703954", "status": "AUTHORIZED", "submitTimeUtc": "2023-07-03T12:00:59Z"}| Field | Description |
|---|---|
clientReferenceInformation.code | — |
clientReferenceInformation.partner.thirdPartyCertificationNumber | provides the value for this field. |
orderInformation.amountDetails.currency | — |
orderInformation.amountDetails.totalAmount | — |
paymentInformation.card.sourceAccountType | Set the value to UA. |
paymentInformation.card.useAs | Leave this field blank. |
paymentInformation.paymentType.name | Set the value to CARD. |
paymentInformation.paymentType.subTypeName | Set the value to DEBIT. |
pointOfSaleInformation.encryptedKeySerialNumber | — |
pointOfSaleInformation.encryptedPin | — |
pointOfSaleInformation.entryMode | Set the value to swiped. |
pointOfSaleInformation.pinBlockEncodingFormat | Set the value to 1. |
pointOfSaleInformation.terminalCapability | — |
pointOfSaleInformation.trackData | — |
processingInformation.commerceIndicator | Set the value to retail. |
processingInformation.electronicBenefitsTransfer.category | Set the value to FOOD. |
processingInformation.purchaseOptions.isElectronicBenefitsTransfer | Set the value to true. |
Was this page helpful?
Thanks for your feedback!
Last published: September 29, 2026